Jack2: Jack::JackPort Class Reference

Jack2 1.9.12

Public Member Functions | Friends | List of all members
Jack::JackPort Class Reference

Base class for port. More...

`#include <JackPort.h>`

## Public Member Functions
bool | Allocate (int refnum, const char *port_name, const char *port_type, JackPortFlags flags)
void | Release ()
const char * | GetName () const
const char * | GetShortName () const
void | SetName (const char *name)
int | GetAliases (char *const aliases[2])
int | SetAlias (const char *alias)
int | UnsetAlias (const char *alias)
bool | NameEquals (const char *target)
int | GetFlags () const
const char * | GetType () const
int | Tie (jack_port_id_t port_index)
int | UnTie ()
jack_nframes_t | GetLatency () const
void | SetLatency (jack_nframes_t latency)
void | SetLatencyRange (jack_latency_callback_mode_t mode, jack_latency_range_t *range)
void | GetLatencyRange (jack_latency_callback_mode_t mode, jack_latency_range_t *range) const
jack_nframes_t | GetTotalLatency () const
int | RequestMonitor (bool onoff)
int | EnsureMonitor (bool onoff)
bool | MonitoringInput ()
jack_default_audio_sample_t * | GetBuffer ()
int | GetRefNum () const

## Friends
class | JackGraphManager

## Detailed Description

Base class for port.

Definition at line 39 of file JackPort.h.

## Member Function Documentation

## ◆ RequestMonitor()

int Jack::JackPort::RequestMonitor | ( | bool | onoff | ) |

jackd.h If JackPortCanMonitor is set for this port, turn input monitoring on or off. Otherwise, do nothing.

if (!(fFlags & JackPortCanMonitor)) return -1;

Definition at line 156 of file JackPort.cpp.

## ◆ EnsureMonitor()

int Jack::JackPort::EnsureMonitor | ( | bool | onoff | ) |

jackd.h If JackPortCanMonitor is set for this port, turn input monitoring on or off. Otherwise, do nothing.

if (!(fFlags & JackPortCanMonitor)) return -1;

Definition at line 176 of file JackPort.cpp.

The documentation for this class was generated from the following files:

- JackPort.h
- JackPort.cpp